// Code generated by MockGen. DO NOT EDIT.
// Source: /home/lucifer/go/src/gitlab.com/aher.shiva/estern/api/service/offers_service.go

// Package mocks is a generated GoMock package.
package mocks

import (
	context "context"
	gomock "github.com/golang/mock/gomock"
	models "gitlab.com/aher.shiva/estern/api/models"
	reflect "reflect"
)

// MockOfferService is a mock of OfferService interface
type MockOfferService struct {
	ctrl     *gomock.Controller
	recorder *MockOfferServiceMockRecorder
}

// MockOfferServiceMockRecorder is the mock recorder for MockOfferService
type MockOfferServiceMockRecorder struct {
	mock *MockOfferService
}

// NewMockOfferService creates a new mock instance
func NewMockOfferService(ctrl *gomock.Controller) *MockOfferService {
	mock := &MockOfferService{ctrl: ctrl}
	mock.recorder = &MockOfferServiceMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *MockOfferService) EXPECT() *MockOfferServiceMockRecorder {
	return m.recorder
}

// StoreOffer mocks base method
func (m *MockOfferService) StoreOffer(ctxt context.Context, offer models.Offer) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "StoreOffer", ctxt, offer)
	ret0, _ := ret[0].(error)
	return ret0
}

// StoreOffer indicates an expected call of StoreOffer
func (mr *MockOfferServiceMockRecorder) StoreOffer(ctxt, offer interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "StoreOffer", reflect.TypeOf((*MockOfferService)(nil).StoreOffer), ctxt, offer)
}
